org.licas.ws.wsdl.model

## Class WsdlFault

- java.lang.Object
- - org.licas.ws.wsdl.model.WsdlFault

-     public class WsdlFault
      extends java.lang.Object

  This class store information for a wsdl fault process description.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsdlFault(java.lang.String thisName)` Create a new instance of WsdlFault.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getElement()` Get the fault element name.
    `java.lang.String` | `getMessage()` Get the fault message value.
    `java.lang.String` | `getName()` Get the fault name.
    `void` | `setElement(java.lang.String thisElement)` Set the fault element value.
    `void` | `setMessage(java.lang.String thisMessage)` Set the fault message value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsdlFault

          public WsdlFault(java.lang.String thisName)

      Create a new instance of WsdlFault.
      Parameters:
        `thisName` - the fault name.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Get the fault name.
      Returns:
        the value of name.

    - #### setElement

          public void setElement(java.lang.String thisElement)

      Set the fault element value.
      Parameters:
        `thisElement` - the element value.

    - #### getElement

          public java.lang.String getElement()

      Get the fault element name.
      Returns:
        the value of element.

    - #### setMessage

          public void setMessage(java.lang.String thisMessage)

      Set the fault message value.
      Parameters:
        `thisMessage` - the message value.

    - #### getMessage

          public java.lang.String getMessage()

      Get the fault message value.
      Returns:
        the value of message.